Page MenuHomeMiraheze

Add groups add/remove to/form self and revoked rights to managewiki permissions
Closed, ResolvedPublic

Description

I would like the ability to assign revoked rights and set add/remove group to/from self for groups in managewiki permissions.
I was thinking maybe use 3-state checkboxes. For each right have off, assigned, revoked. For each add/remove group have off, self only, others.

Event Timeline

Bonnedav created this task.Sep 30 2018, 06:34
John triaged this task as Low priority.Sep 30 2018, 16:59
John added a subscriber: John.

Realistically will need potentially a OOUI tabbed interface otherwise the size would be unreasonable and not great design.

Paladox added a subscriber: Paladox.Sep 30 2018, 19:19
John claimed this task.Nov 12 2018, 00:23

Any progress?

John added a comment.Dec 10 2018, 13:06

No progress, no plans to start on it at the minute as it involves a complex rewrite to implement minor improvements while there more critical features on the radar

John moved this task from Backlog to Features on the ManageWiki board.Apr 5 2019, 04:44
John added a comment.Apr 5 2019, 04:47

With the recent rewrite of MWP, this stuff becomes easier to implement.

Unsure if I'll get around to them today but by the end of the next week definitely.

John closed this task as Resolved.Apr 22 2019, 02:49

Groups added, revoked is not being added yet (maybe at all?) as there isn't a clean or nice way to do this currently. Maybe when OOUI get's more advanced though. (with 3 state singe elements)